Subject: [regext] FW: I-D Action: draft-hollenbeck-regext-rdap-openid-05.txt

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 26 Jan 2018 14:34:20 +0000

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Friday, January 26, 2018 9:31 AM
> To: [email-masked]
> Subject: [EXTERNAL] I-D Action: draft-hollenbeck-regext-rdap-openid-05.txt
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
>         Title           : Federated Authentication for the Registration
> Data Access Protocol (RDAP) using OpenID Connect
>         Author          : Scott Hollenbeck
>       Filename        : draft-hollenbeck-regext-rdap-openid-05.txt
>       Pages           : 24
>       Date            : 2018-01-26
>
> Abstract:
>    The Registration Data Access Protocol (RDAP) provides "RESTful" web
>    services to retrieve registration metadata from domain name and
>    regional internet registries.  RDAP allows a server to make access
>    control decisions based on client identity, and as such it includes
>    support for client identification features provided by the Hypertext
>    Transfer Protocol (HTTP).  Identification methods that require
>    clients to obtain and manage credentials from every RDAP server
>    operator present management challenges for both clients and servers,
>    whereas a federated authentication system would make it easier to
>    operate and use RDAP without the need to maintain server-specific
>    client credentials.  This document describes a federated
>    authentication system for RDAP based on OpenID Connect.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-hollenbeck-regext-rdap-openid/

This version of the document includes a new JSON web token claim that can be used by an end user to state their preference for logging, tracking, or otherwise recording the association of their identity with the queries they perform. My team is will implement support for this claim in the near future.

Scott